using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Orgil;

namespace Polygon {
    public enum Anim {
        Null, MagicAttack, ThrowGrenade, DisarmEquip, FrankMage,
        Idle, Walk, Run, Victory, Victory_2, Victory_3, Victory_4, Victory_5,
        // Magic
        Magic_Attack_1H_1, Magic_Attack_1H_2, Magic_Attack_1H_3, Magic_Attack_2H_1, Magic_Attack_2H_2, Magic_Attack_2H_3, Magic_Attack_2H_4, Magic_Attack_2H_5, Magic_Attack_Area_2H_1, Magic_Attack_Area_2H_2, Magic_Cast_Spell_1H_1, Magic_Cast_Spell_2H_1, Spell_1, Spell_2, Spell_3, Spell_4, Spell_5, Spell_6,
        Magic_Impact_Small_B, Magic_Impact_Small_F, Magic_Impact_Small_L, Magic_Impact_Small_R, Magic_Impact_Large_B, Magic_Impact_Large_F, Magic_Impact_Large_L, Magic_Impact_Large_R, Magic_Impact_Large_Block,
        Magic_Block_End, Magic_Block_Idle, Magic_Block_Start,
        Magic_Death_B, Magic_Death_F, Magic_Death_L, Magic_Death_R,
        Magic_Crouch_Turn_L_90, Magic_Crouch_Turn_R_90, Magic_Turn_L_90, Magic_Turn_R_90,
        Magic_Jump, Magic_Land_To_Idle, Magic_Land_To_Run, Magic_Run_Jump,
        Magic_Crouch_Idle_To_Idle, Magic_Idle_To_Crouch_Idle,
        Magic_Crouch_Idle, Magic_Idle, Magic_Idle_2, Magic_Idle_3, Magic_Idle_4,
        Magic_Crouch_Walk_B, Magic_Crouch_Walk_F, Magic_Crouch_Walk_L, Magic_Crouch_Walk_R,
        Magic_Walk_B, Magic_Walk_F, Magic_Walk_L, Magic_Walk_R,
        Magic_Run_B, Magic_Run_F, Magic_Run_L, Magic_Run_R,
        Magic_Sprint_F,
        // Mutant
        Mutant_Attack_Punch, Mutant_Attack_Swipe, Mutant_Attack_Jump, Mutant_Attack_Jump_Ready,
        Mutant_Death,
        Mutant_Turn_L, Mutant_Turn_R, Mutant_Turn_R_45, Mutant_Turn_R_90,
        Mutant_Jump, Mutant_Jump_2,
        Mutant_Idle, Mutant_Idle_2, Mutant_Idle_Breath, Mutant_Idle_Flex_Muscle, Mutant_Idle_Roar,
        Mutant_Walk_F,
        Mutant_Run_F,
        // Longbow
        Longbow_Punch, Longbow_Kick, Longbow_Aim_Overdraw, Longbow_Aim_Recoil, Longbow_Draw_Arrow,
        Longbow_Disarm_Bow, Longbow_Equip_Bow,
        Longbow_Impact_Small_B, Longbow_Impact_Small_F, Longbow_Impact_Small_L, Longbow_Impact_Small_R, Longbow_Impact_Small_F_2, Longbow_Impact_Small_Headshot, Longbow_Impact_Large_B, Longbow_Impact_Large_F, Longbow_Impact_Large_L, Longbow_Impact_Large_R,
        Longbow_Block,
        Longbow_Death_B, Longbow_Death_F, Longbow_Death_L, Longbow_Death_R, Longbow_Death_B_2, Longbow_Death_F_2, Longbow_Death_L_2, Longbow_Death_R_2,
        Longbow_Crouch_Turn_L_90, Longbow_Crouch_Turn_R_90, Longbow_Turn_L_90, Longbow_Turn_R_90,
        Longbow_Jump, Longbow_Run_Jump, Longbow_Fall_A_Land_To_Idle, Longbow_Fall_A_Land_To_Idle_2, Longbow_Fall_A_Land_To_Run, Longbow_Fall_A_Loop, Longbow_Fall_B_Loop, Longbow_Fall_B_Land_To_Idle,
        Longbow_Dive_F,
        Longbow_Run_F_Stop,
        Longbow_Crouch_Idle_To_Idle, Longbow_Idle_To_Crouch_Idle,
        Longbow_Crouch_Idle, Longbow_Crouch_Idle_2_Look_Around, Longbow_Crouch_Idle_3_Look_Over, Longbow_Idle, Longbow_Idle_2_Look, Longbow_Idle_3_Examine, Longbow_Unarmed_Idle, Longbow_Aim_Idle, Longbow_Aim_Idle_2_Look,
        Longbow_Dodge_B, Longbow_Dodge_F, Longbow_Dodge_L, Longbow_Dodge_R,
        Longbow_Crouch_Walk_B, Longbow_Crouch_Walk_F, Longbow_Crouch_Walk_L, Longbow_Crouch_Walk_R,
        Longbow_Walk_B, Longbow_Walk_F, Longbow_Walk_L, Longbow_Walk_R, Longbow_Aim_Walk_B, Longbow_Aim_Walk_F, Longbow_Aim_Walk_L, Longbow_Aim_Walk_R,
        Longbow_Run_B, Longbow_Run_F, Longbow_Run_L, Longbow_Run_R,
        Longbow_Sprint_F,
        // Pistol
        Pistol_Aim_Whip,
        Pistol_Disarm, Pistol_Grab, Pistol_Look_Around, Pistol_Shoot_Behind_Cover, Pistol_Sit_Aim, Pistol_Sit_Lower,
        Pistol_Aim_Impact_B, Pistol_Aim_Impact_L,
        Pistol_Aim_Jump, Pistol_Aim_Run_Jump,
        Pistol_Kneel_Aim_Idle_To_Aim_Idle, Pistol_Crouch_Idle_To_Idle, Pistol_Aim_Idle_To_Kneel_Idle, Pistol_Aim_Idle_To_Idle,
        Pistol_Kneel_Aim_Idle, Pistol_Idle_2H, Pistol_Idle_Shake_Leg, Pistol_Aim_Idle,
        Pistol_Aim_Walk_B, Pistol_Aim_Walk_BL_Arc, Pistol_Aim_Walk_BR_Arc, Pistol_Aim_Walk_F, Pistol_Aim_Walk_FL_Arc, Pistol_Aim_Walk_FR_Arc,
        Pistol_Aim_Run_B, Pistol_Aim_Run_BL_Arc, Pistol_Aim_Run_BR_Arc, Pistol_Aim_Run_F, Pistol_Aim_Run_FL_Arc, Pistol_Aim_Run_FR_Arc, Pistol_Aim_Run_L, Pistol_Aim_Run_R, Pistol_Aim_Run_F_2,
        // GreatSword
        GreatSword_Attack_Hilt, GreatSword_Attack_High_Spin, GreatSword_Attack_Run_Low_Slide, GreatSword_Attack_Run_Jump, GreatSword_Crouch_Slash, GreatSword_Kick_Side, GreatSword_Kick_Spin, GreatSword_Slash_D, GreatSword_Slash_Low, GreatSword_Slash_Combo, GreatSword_Slash_Power, GreatSword_Cast_Spell_Sword, GreatSword_Power_Up,
        GreatSword_Draw_1, GreatSword_Draw_2, GreatSword_Sheath_1, GreatSword_Sheath_2,
        GreatSword_Crouch_Impact_Block, GreatSword_Crouch_Impact_Unblock, GreatSword_Impact_Head, GreatSword_Impact_Block, GreatSword_Impact_Unblock,
        GreatSword_Block_Idle, GreatSword_Crouch_Block_Idle, GreatSword_Crouch_Idle_To_Crouch_Block, GreatSword_Idle_To_Block,
        GreatSword_Turn_L_90, GreatSword_Turn_R_90, GreatSword_Walk_Turn_180, GreatSword_Run_Turn_180,
        GreatSword_Jump, GreatSword_Run_Jump,
        GreatSword_Block_To_Idle, GreatSword_Crouch_Block_To_Crouch_Idle, GreatSword_Crouch_Idle_To_Idle, GreatSword_Idle_To_Crouch_Idle,
        GreatSword_Crouch_Idle, GreatSword_Idle, GreatSword_Idle_Admire, GreatSword_Idle_Look_Around, GreatSword_Idle_Look_Around_2, GreatSword_Idle_Strike_A_Pose,
        GreatSword_Walk_B, GreatSword_Walk_F, GreatSword_Walk_L, GreatSword_Walk_R,
        GreatSword_Run_B, GreatSword_Run_F, GreatSword_Run_L, GreatSword_Run_R,
        // Zombie
        Zombie_Attack_2H, Zombie_Attack_Swipe, Zombie_Headbutt, Zombie_Kick_Snap, Zombie_Kick_Thrust, Zombie_Punch_Jab, Zombie_Punch, Zombie_Bite_Ground, Zombie_Bite_Neck, Zombie_Bite_Stand_To_Ground,
        Zombie_Scream, Zombie_Agonize,
        Zombie_Impact_Flinch, Zombie_Impact_Stumble, Zombie_Stumble,
        Zombie_Death_B, Zombie_Death_F,
        Zombie_Turn_R_90,
        Zombie_Stand_Up_Back, Zombie_Stand_Up_Side, Zombie_Stand_Up_Stomach, Zombie_Alert_To_Ready, Zombie_Ready_To_Alert,
        Zombie_Idle, Zombie_Idle_Alert, Zombie_Idle_Look_Around, Zombie_Idle_Scratch, Zombie_Idle_Twitch, Zombie_Idle_Upright_Twitch, Zombie_Thriller_Idle, Zombie_Thriller_Part_1, Zombie_Thriller_Part_2, Zombie_Thriller_Part_3, Zombie_Thriller_Part_4,
        Zombie_Crawl_F,
        Zombie_Crawl_Run_F,
        Zombie_Walk_F, Zombie_Walk_F_2, Zombie_Walk_F_Creep,
        Zombie_Run_F,
        // SwordAndShield
        SwordAndShield_Attack_High, SwordAndShield_Attack_Hilt, SwordAndShield_Attack_Jump, SwordAndShield_Attack_Low, SwordAndShield_Crouch_Slash, SwordAndShield_Kick_Sparta, SwordAndShield_Slash_Combo, SwordAndShield_Slash_Cross, SwordAndShield_Slash_D, SwordAndShield_Slash_Power, Sword_Slash_In, Sword_Slash_Out, Sword_Fight_One_Person_A_Winner, Sword_Fight_One_Person_B_Loser, SwordAndShield_Cast_Spell_Hand, SwordAndShield_Cast_Spell_Sword, SwordAndShield_Power_Up,
        SwordAndShield_Draw_1, SwordAndShield_Draw_2, SwordAndShield_Sheath_1, SwordAndShield_Sheath_2, Sword_Sheath, Sword_Withdraw,
        SwordAndShield_Crouch_Impact_Block, SwordAndShield_Crouch_Impact_Unblock, SwordAndShield_Impact_Head, SwordAndShield_Impact_Block, SwordAndShield_Impact_Unblock,
        SwordAndShield_Crouch_Block_Idle, SwordAndShield_Crouch_Block, SwordAndShield_Block_Idle, SwordAndShield_Block,
        SwordAndShield_Death_B, SwordAndShield_Death_F,
        SwordAndShield_Turn_L_90, SwordAndShield_Turn_R_90, SwordAndShield_Walk_Turn_180, SwordAndShield_Run_Turn_180,
        SwordAndShield_Jump, SwordAndShield_Run_Jump,
        SwordAndShield_Block_To_Idle, SwordAndShield_Crouch_Block_To_Crouch_Idle, SwordAndShield_Crouch_Idle_To_Idle, SwordAndShield_Idle_To_Crouch_Idle,
        SwordAndShield_Crouch_Idle, SwordAndShield_Idle, SwordAndShield_Idle_Play, SwordAndShield_Idle_Stretch, SwordAndShield_Idle_Look_Around,
        SwordAndShield_Walk_B, SwordAndShield_Walk_F, SwordAndShield_Walk_L, SwordAndShield_Walk_R,
        SwordAndShield_Run_B, SwordAndShield_Run_F, SwordAndShield_Run_L, SwordAndShield_Run_R, SwordAndShield_Run_F_2,
        // Melee
        Melee_Attack_360_High, Melee_Attack_360_Low, Melee_Attack_Backhand, Melee_Attack_Combo_1, Melee_Attack_Combo_2, Melee_Attack_Combo_3, Melee_Attack_D, Melee_Attack_Horizontal, Melee_Attack_Run_Jump, Melee_Kick_1, Melee_Kick_2,
        Melee_Disarm_Over_Shoulder, Melee_Disarm_Underarm, Melee_Unarmed_Equip_Over_Shoulder, Melee_Unarmed_Equip_Underarm,
        Melee_Impact_Large_Block, Melee_Impact_Large_F, Melee_Impact_Large_L, Melee_Impact_Large_R,
        Melee_Block_Idle,
        Melee_Crouch_Idle, Melee_Idle, Melee_Idle_Look_1, Melee_Idle_Look_2, Melee_Unarmed_Idle, Melee_Unarmed_Idle_Look_1, Melee_Unarmed_Idle_Look_2, Melee_Taunt_Battlecry, Melee_Taunt_Chest_Thump,
        Melee_Turn_L_90, Melee_Turn_R_90, Melee_Unarmed_Turn_L_90, Melee_Unarmed_Turn_R_90,
        Melee_Jump, Melee_Unarmed_Jump, Melee_Unarmed_Run_Jump,
        Melee_Crouch_Idle_To_Idle,
        Melee_Walk_B, Melee_Walk_F, Melee_Walk_L, Melee_Walk_R, Melee_Unarmed_Walk_B, Melee_Unarmed_Walk_F,
        Melee_Run_B, Melee_Run_F, Melee_Unarmed_Run_B, Melee_Unarmed_Run_F,
        // Torch
        Torch_Attack_1, Torch_Attack_2, Torch_Attack_3, Torch_Attack_4, Torch_Attack_5, Torch_Attack_Stab,
        Torch_Unarmed_Equip_1, Torch_Unarmed_Equip_2,
        Torch_Inspect_D, Torch_Inspect_F, Torch_Inspect_U, Torch_Light_Fire, Torch_Light_Torch, Torch_Light_Wall, Torch_Burn_Webs, Torch_Unarmed_Grab_Floor, Torch_Unarmed_Grab_Wall,
        Torch_Crouch_Turn_L_90, Torch_Crouch_Turn_R_90, Torch_Turn_L_90, Torch_Turn_L_180, Torch_Turn_R_90, Torch_Turn_R_180,
        Torch_Jump, Torch_Run_Jump, Torch_Run_Jump_To_Idle,
        Torch_Walk_F_Stop, Torch_Walk_F_Stop_Edge, Torch_Run_F_Stop, Torch_Run_F_Stop_At_Edge,
        Torch_Crouch_Idle_To_Idle, Torch_Idle_To_Crouch_Idle,
        Torch_Crouch_Idle_1, Torch_Crouch_Idle_2, Torch_Idle_1, Torch_Idle_2, Torch_Idle_3, Torch_Idle_4,
        Torch_Crouch_Walk_B, Torch_Crouch_Walk_F, Torch_Crouch_Walk_L, Torch_Crouch_Walk_R,
        Torch_Walk_B, Torch_Walk_F, Torch_Walk_L, Torch_Walk_R,
        Torch_Run_B, Torch_Run_F, Torch_Run_L, Torch_Run_R,
        // Rifle
        Rifle_Prone_Fire_1, Rifle_Prone_Fire_2, Rifle_Crouch_Fire_1, Rifle_Crouch_Fire_2, Rifle_Crouch_Walk_Fire, Rifle_Fire_1, Rifle_Fire_2, Rifle_Walk_Fire_1, Rifle_Walk_Fire_2, Rifle_Walk_Fire_3, Rifle_Walk_Fire_4, Rifle_Run_Fire_1, Rifle_Run_Fire_2,
        Rifle_Prone_Throw_Grenade, Rifle_Crouch_Throw_Grenade, Rifle_Throw_Grenade, Rifle_Walk_Throw_Grenade, Rifle_Run_Throw_Grenade,
        Rifle_Prone_Reload, Rifle_Crouch_Reload, Rifle_Reload, Rifle_Walk_Reload, Rifle_Run_Reload,
        Rifle_Prone_Impact, Rifle_Crouch_Impact, Rifle_Impact, Rifle_Impact_2, Rifle_Walk_Impact, Rifle_Run_Impact,
        Rifle_Prone_Death, Rifle_Crouch_Death, Rifle_Crouch_Headshot, Rifle_Death_B, Rifle_Death_F, Rifle_Death_R, Rifle_Headshot_B, Rifle_Headshot_F, Rifle_Aim_Death, Rifle_Walk_Death, Rifle_Walk_Death_2, Rifle_Run_Death,
        Rifle_Prone_Turn_L, Rifle_Prone_Turn_L_45, Rifle_Prone_Turn_R, Rifle_Prone_Turn_R_45, Rifle_Kneel_Turn_L_90, Rifle_Aim_Kneel_Turn_L, Rifle_Aim_Kneel_Turn_L_90, Rifle_Kneel_Turn_R_90, Rifle_Aim_Kneel_Turn_R, Rifle_Aim_Kneel_Turn_R_90, Rifle_Crouch_Turn_L_45, Rifle_Crouch_Turn_L_90, Rifle_Crouch_Turn_L_135, Rifle_Crouch_Turn_L_180, Rifle_Crouch_Turn_R_45, Rifle_Crouch_Turn_R_90, Rifle_Crouch_Turn_R_135, Rifle_Crouch_Turn_R_180, Rifle_Turn_L_45, Rifle_Turn_L_90, Rifle_Turn_L_135, Rifle_Turn_L_180, Rifle_Turn_L_90_2, Rifle_Aim_Turn_L, Rifle_Aim_Turn_L_45, Rifle_Turn_R_45, Rifle_Turn_R_90, Rifle_Turn_R_135, Rifle_Turn_R_180, Rifle_Turn_R_90_2, Rifle_Aim_Turn_R, Rifle_Aim_Turn_R_45, Rifle_Aim_Turn_R_90, Rifle_Aim_Turn_R_90_2,
        Rifle_Aim_Walk_B_Jump, Rifle_Aim_Walk_F_Jump, Rifle_Aim_Walk_L_Jump, Rifle_Aim_Walk_R_Jump, Rifle_Aim_Run_L_Jump, Rifle_Aim_Run_R_Jump, Rifle_Jump_Away, Rifle_Jump_Loop, Rifle_Jump_Up, Rifle_Jump_Down, Rifle_Jump_Down_Object, Rifle_Jump_Down_Object_2,
        Rifle_Prone_Roll_L, Rifle_Prone_Roll_R, Rifle_Prone_Roll_L_2, Rifle_Prone_Roll_R_2, Rifle_Dive_Roll, Rifle_Run_Dive_Roll,
        Rifle_Prone_B_Start, Rifle_Crouch_Aim_Walk_L_Start, Rifle_Crouch_Aim_Run_L_Start, Rifle_Crouch_Aim_Run_R_Start, Rifle_Aim_Walk_B_Start, Rifle_Aim_Walk_F_Start, Rifle_Aim_Walk_L_Start, Rifle_Aim_Walk_R_Start, Rifle_Aim_Run_B_Start, Rifle_Aim_Run_F_Start, Rifle_Aim_Run_L_Start, Rifle_Aim_Run_R_Start,
        Rifle_Prone_B_Stop, Rifle_Prone_F_Stop, Rifle_Crouch_Aim_Walk_B_Stop, Rifle_Crouch_Aim_Walk_F_Stop, Rifle_Crouch_Aim_Walk_L_Stop, Rifle_Crouch_Aim_Run_B_Stop, Rifle_Crouch_Aim_Run_F_Stop, Rifle_Crouch_Aim_Run_L_Stop, Rifle_Crouch_Aim_Run_R_Stop, Rifle_Walk_B_Stop, Rifle_Walk_F_Stop, Rifle_Aim_Walk_B_Stop, Rifle_Aim_Walk_F_Stop, Rifle_Aim_Walk_L_Stop, Rifle_Aim_Walk_R_Stop, Rifle_Run_B_Stop, Rifle_Run_F_Stop, Rifle_Aim_Run_F_Stop, Rifle_Aim_Run_L_Stop, Rifle_Aim_Run_R_Stop,
        Rifle_Prone_To_Kneel, Rifle_Prone_To_Crouch_Aim, Rifle_Kneel_To_Prone, Rifle_Kneel_To_Kneel_Aim, Rifle_Kneel_To_Idle, Rifle_Kneel_Aim_To_Kneel, Rifle_Crouch_Idle_To_Crouch_Walk, Rifle_Crouch_Aim_To_Prone, Rifle_Crouch_Aim_To_Idle_Aim, Rifle_Crouch_Walk_To_Kneel, Rifle_Crouch_Walk_To_Idle, Rifle_Idle_To_Kneel, Rifle_Idle_To_Crouch_Walk, Rifle_Idle_To_Idle_Aim, Rifle_Idle_Aim_To_Crouch_Aim, Rifle_Idle_Aim_To_Idle, Rifle_Idle_Aim_To_Aim_Run,
        Rifle_Prone_Idle, Rifle_Kneel_Idle, Rifle_Kneel_Idle_Aim, Rifle_Crouch_Idle, Rifle_Crouch_Idle_Aim, Rifle_Idle, Rifle_Idle_2, Rifle_Idle_3, Rifle_Idle_Look_Around, Rifle_Idle_Aim, Rifle_Idle_Aim_2,
        Rifle_Crawl_B, Rifle_Crawl_F, Rifle_Crawl_Prone_B, Rifle_Prone_B, Rifle_Prone_F, Rifle_Prone_L, Rifle_Prone_R,
        Rifle_Crouch_Walk_B, Rifle_Crouch_Walk_F, Rifle_Crouch_Walk_R, Rifle_Crouch_Aim_Walk_B, Rifle_Crouch_Aim_Walk_BL, Rifle_Crouch_Aim_Walk_BR, Rifle_Crouch_Aim_Walk_F, Rifle_Crouch_Aim_Walk_FL, Rifle_Crouch_Aim_Walk_FR, Rifle_Crouch_Aim_Walk_L, Rifle_Crouch_Aim_Walk_R, Rifle_Crouch_Aim_Walk_B_2, Rifle_Crouch_Aim_Walk_L_2, Rifle_Crouch_Aim_Walk_R_2,
        Rifle_Crouch_Aim_Run_B, Rifle_Crouch_Aim_Run_F, Rifle_Crouch_Aim_Run_L, Rifle_Crouch_Aim_Run_R,
        Rifle_Step_L, Rifle_Step_R, Rifle_Aim_Step_B, Rifle_Aim_Step_F, Rifle_Aim_Step_L, Rifle_Aim_Step_R,
        Rifle_Walk_B, Rifle_Walk_BL, Rifle_Walk_BR, Rifle_Walk_F, Rifle_Walk_FL, Rifle_Walk_FR, Rifle_Walk_L, Rifle_Walk_R, Rifle_Walk_B_2, Rifle_Walk_F_2, Rifle_Aim_Walk_B, Rifle_Aim_Walk_F, Rifle_Aim_Walk_L, Rifle_Aim_Walk_R,
        Rifle_Run_B, Rifle_Run_BL, Rifle_Run_BR, Rifle_Run_F, Rifle_Run_FL, Rifle_Run_FR, Rifle_Run_L, Rifle_Run_R, Rifle_Run_B_2, Rifle_Run_F_2, Rifle_Aim_Run_B, Rifle_Aim_Run_F,
        Rifle_Sprint_B, Rifle_Sprint_BR, Rifle_Sprint_BL, Rifle_Sprint_F, Rifle_Sprint_FL, Rifle_Sprint_FR, Rifle_Sprint_L, Rifle_Sprint_R,
        // Frank RPG Warrior
        Frank_RPG_Idle,
        Frank_RPG_Run, Frank_RPG_Run_Faster,
        Frank_RPG_Warrior_Draw, Frank_RPG_Warrior_Idle,
        Frank_RPG_Warrior_Run01, Frank_RPG_Warrior_Run02,
        Frank_RPG_Warrior_Step_F, Frank_RPG_Warrior_Step_B, Frank_RPG_Warrior_Step_L, Frank_RPG_Warrior_Step_R,
        Frank_RPG_Warrior_Evade_F, Frank_RPG_Warrior_Evade_B, Frank_RPG_Warrior_Evade_L, Frank_RPG_Warrior_Evade_R,
        Frank_RPG_Warrior_Walk, Frank_RPG_Warrior_Walk_Faster,
        Frank_RPG_Warrior_4Way_Walk_F, Frank_RPG_Warrior_4Way_Walk_B, Frank_RPG_Warrior_4Way_Walk_L, Frank_RPG_Warrior_4Way_Walk_R,
        Frank_RPG_Warrior_8Way_Run_F, Frank_RPG_Warrior_8Way_Run_B, Frank_RPG_Warrior_8Way_Run_L, Frank_RPG_Warrior_8Way_Run_R, Frank_RPG_Warrior_8Way_Run_FL, Frank_RPG_Warrior_8Way_Run_FR, Frank_RPG_Warrior_8Way_Run_BL, Frank_RPG_Warrior_8Way_Run_BR,
        Frank_RPG_Warrior_Jump_01, Frank_RPG_Warrior_Jump_02, Frank_RPG_Warrior_Jump_ZeroHeight,
        Frank_RPG_Warrior_Guard, Frank_RPG_Warrior_Block,
        Frank_RPG_Warrior_Hit01, Frank_RPG_Warrior_Hit02, Frank_RPG_Warrior_Hit03, Frank_RPG_Warrior_Hit_Knockback, Frank_RPG_Warrior_Hit_Knockdown, Frank_RPG_Warrior_Hit_Knockdown_Loop,
        Frank_RPG_Warrior_Getup, Frank_RPG_Warrior_Putup,
        Frank_RPG_Warrior_Die, Frank_RPG_Warrior_Die02,
        Frank_RPG_Warrior_4Way_Guard_Walk_F, Frank_RPG_Warrior_4Way_Guard_Walk_B, Frank_RPG_Warrior_4Way_Guard_Walk_L, Frank_RPG_Warrior_4Way_Guard_Walk_R, Frank_RPG_Warrior_4Way_Block,
        Frank_RPG_Warrior_ShieldAttack01, Frank_RPG_Warrior_ShieldAttack02,
        Frank_RPG_Warrior_Attack01_GuardnAttack, Frank_RPG_Warrior_Attack02, Frank_RPG_Warrior_Attack03, Frank_RPG_Warrior_Attack04, Frank_RPG_Warrior_Attack05, Frank_RPG_Warrior_Attack06,
        Frank_RPG_Warrior_Combo01_All, Frank_RPG_Warrior_Combo02_All, Frank_RPG_Warrior_Combo03_All, Frank_RPG_Warrior_Combo04_All, Frank_RPG_Warrior_Combo05_All, Frank_RPG_Warrior_Combo06_All, Frank_RPG_Warrior_Combo07_All,
        Frank_RPG_Warrior_Skill01, Frank_RPG_Warrior_Skill02, Frank_RPG_Warrior_Skill03, Frank_RPG_Warrior_Skill04, Frank_RPG_Warrior_Skill05,
        Frank_RPG_Warrior_ShieldSkill01, Frank_RPG_Warrior_ShieldSkill02,
        Frank_RPG_Warrior_Combo01_1, Frank_RPG_Warrior_Combo01_2, Frank_RPG_Warrior_Combo01_3, Frank_RPG_Warrior_Combo01_4,
        Frank_RPG_Warrior_Combo02_1, Frank_RPG_Warrior_Combo02_2, Frank_RPG_Warrior_Combo02_3,
        Frank_RPG_Warrior_Combo03_1, Frank_RPG_Warrior_Combo03_2, Frank_RPG_Warrior_Combo03_3,
        Frank_RPG_Warrior_Combo04_1, Frank_RPG_Warrior_Combo04_2, Frank_RPG_Warrior_Combo04_3,
        Frank_RPG_Warrior_Combo05_1, Frank_RPG_Warrior_Combo05_2, Frank_RPG_Warrior_Combo05_3,
        Frank_RPG_Warrior_Combo06_1, Frank_RPG_Warrior_Combo06_2, Frank_RPG_Warrior_Combo06_3,
        Frank_RPG_Warrior_Combo07_1, Frank_RPG_Warrior_Combo07_2, Frank_RPG_Warrior_Combo07_3,
        // Frank RPG Mage
        Frank_RPG_Mage_4Way_Spell_Walk_B, Frank_RPG_Mage_4Way_Spell_Walk_F, Frank_RPG_Mage_4Way_Spell_Walk_L, Frank_RPG_Mage_4Way_Spell_Walk_R,
        Frank_RPG_Mage_8Way_Run_B, Frank_RPG_Mage_8Way_Run_BL, Frank_RPG_Mage_8Way_Run_BR, Frank_RPG_Mage_8Way_Run_F, Frank_RPG_Mage_8Way_Run_FL, Frank_RPG_Mage_8Way_Run_FR, Frank_RPG_Mage_8Way_Run_L, Frank_RPG_Mage_8Way_Run_R,
        Frank_RPG_Mage_8Way_Walk_B, Frank_RPG_Mage_8Way_Walk_BL, Frank_RPG_Mage_8Way_Walk_BR, Frank_RPG_Mage_8Way_Walk_F, Frank_RPG_Mage_8Way_Walk_FL, Frank_RPG_Mage_8Way_Walk_FR, Frank_RPG_Mage_8Way_Walk_L, Frank_RPG_Mage_8Way_Walk_R,
        Frank_RPG_Mage_Attack01, Frank_RPG_Mage_Attack02, Frank_RPG_Mage_Attack03, Frank_RPG_Mage_Attack04, Frank_RPG_Mage_Attack05, Frank_RPG_Mage_Attack06,
        Frank_RPG_Mage_Block,
        Frank_RPG_Mage_Combo01_1, Frank_RPG_Mage_Combo01_2, Frank_RPG_Mage_Combo01_3, Frank_RPG_Mage_Combo01_All,
        Frank_RPG_Mage_Combo02_1, Frank_RPG_Mage_Combo02_2, Frank_RPG_Mage_Combo02_3, Frank_RPG_Mage_Combo02_All,
        Frank_RPG_Mage_Combo03_1, Frank_RPG_Mage_Combo03_2, Frank_RPG_Mage_Combo03_3, Frank_RPG_Mage_Combo03_All,
        Frank_RPG_Mage_Combo04_1, Frank_RPG_Mage_Combo04_2, Frank_RPG_Mage_Combo04_3, Frank_RPG_Mage_Combo04_4, Frank_RPG_Mage_Combo04_All,
        Frank_RPG_Mage_Die, Frank_RPG_Mage_Die02,
        Frank_RPG_Mage_Equip,
        Frank_RPG_Mage_Evade_B, Frank_RPG_Mage_Evade_F, Frank_RPG_Mage_Evade_L, Frank_RPG_Mage_Evade_R,
        Frank_RPG_Mage_Getup02, Frank_RPG_Mage_Getup01,
        Frank_RPG_Mage_Guard,
        Frank_RPG_Mage_Hit01, Frank_RPG_Mage_Hit02, Frank_RPG_Mage_Hit03,
        Frank_RPG_Mage_Hit_Knockback, Frank_RPG_Mage_Hit_Knockdown, Frank_RPG_Mage_Hit_Knockdown_Loop,
        Frank_RPG_Mage_Idle,
        Frank_RPG_Mage_Jump_01, Frank_RPG_Mage_Jump_02, Frank_RPG_Mage_Jump_ZeroHeight,
        Frank_RPG_Mage_Run01, Frank_RPG_Mage_Run02,
        Frank_RPG_Mage_Skill01, Frank_RPG_Mage_Skill02, Frank_RPG_Mage_Skill03, Frank_RPG_Mage_Skill04, Frank_RPG_Mage_Skill05, Frank_RPG_Mage_Skill06, Frank_RPG_Mage_Skill07,
        Frank_RPG_Mage_Step_B, Frank_RPG_Mage_Step_F, Frank_RPG_Mage_Step_L, Frank_RPG_Mage_Step_R,
        Frank_RPG_Mage_Unequip,
        Frank_RPG_Mage_Unequip_Idle,
        Frank_RPG_Mage_Unequip_Run, Frank_RPG_Mage_Unequip_Run_Faster,
        Frank_RPG_Mage_Walk, Frank_RPG_Mage_Walk_Faster,
    }
    public class AnimData {
        public Vector3 wepRot = V3.O;
        public float chrRotY = 0;
        public PolyFX fx, fx2 = PolyFX.Null;
        public Vector3 p, p2 = V3.O;
        public PolyBodyPart part = PolyBodyPart.Null;
        public float t, t2;
        public WepPutData wpd;
        public Anim a2, type = Anim.Null;
        public AnimData C => new AnimData(this);
        public AnimData Y_60 => ChrRotY(-60);
        public AnimData Y_40 => ChrRotY(-40);
        public AnimData Y_20 => ChrRotY(-20);
        public AnimData Y_15 => ChrRotY(-15);
        public AnimData Y_10 => ChrRotY(-10);
        public AnimData Y_5 => ChrRotY(-5);
        public AnimData Y5 => ChrRotY(5);
        public AnimData Y10 => ChrRotY(10);
        public AnimData Y15 => ChrRotY(15);
        public AnimData Y20 => ChrRotY(20);
        public AnimData Y25 => ChrRotY(25);
        public AnimData Y30 => ChrRotY(30);
        public AnimData Y35 => ChrRotY(35);
        public AnimData Y40 => ChrRotY(40);
        public AnimData Y45 => ChrRotY(45);
        public AnimData Y50 => ChrRotY(50);
        public AnimData Y55 => ChrRotY(55);
        public AnimData Y60 => ChrRotY(60);
        public AnimData Y65 => ChrRotY(65);
        public AnimData Y70 => ChrRotY(70);
        public AnimData Y75 => ChrRotY(75);
        public AnimData Y80 => ChrRotY(80);
        public AnimData Y85 => ChrRotY(85);
        public AnimData Y90 => ChrRotY(90);
        public AnimData() { }
        public AnimData(Vector3 wepRot) { this.wepRot = wepRot; }
        public AnimData(float x, float y, float z) { wepRot = V3.V(x, y, z); }
        public AnimData(float chrRotY) { this.chrRotY = chrRotY; }
        public AnimData(Vector3 wepRot, float chrRotY) { this.wepRot = wepRot; this.chrRotY = chrRotY; }
        public AnimData(AnimData data) {
            wepRot = data.wepRot;
            chrRotY = data.chrRotY;
            type = data.type; fx = data.fx; fx2 = data.fx2; p = data.p; p2 = data.p2; part = data.part; t = data.t; t2 = data.t2;
            wpd = data.wpd; a2 = data.a2;
        }
        public AnimData MagicAttack(PolyFX fx, Vector3 p, float t, float t2, PolyFX fx2 = PolyFX.Null, Vector3 p2 = default(Vector3), PolyBodyPart part = PolyBodyPart.Null) {
            type = Anim.MagicAttack; this.fx = fx; this.fx2 = fx2; this.p = p; this.p2 = p2; this.part = part; this.t = t; this.t2 = t2;
            return this;
        }
        public AnimData DisarmEquip(WepPutData wpd, float t, float t2, Vector3 p, Vector3 p2 = default(Vector3), Anim a2 = Anim.Null) {
            type = Anim.DisarmEquip; this.wpd = wpd; this.t = t; this.t2 = t2; this.p = p; this.p2 = p2; this.a2 = a2;
            return this;
        }
        public AnimData ThrowGrenade(float t, float t2) {
            type = Anim.ThrowGrenade; this.t = t; this.t2 = t2;
            return this;
        }
        public AnimData FrankMage(Vector3 p) {
            type = Anim.FrankMage; this.p = p;
            return this;
        }
        public AnimData WepRot(float x, float y, float z) { wepRot = V3.V(x, y, z); return this; }
        public AnimData WepRot(Vector3 rot) { wepRot = rot; return this; }
        public AnimData ChrRotY(float y) { chrRotY = y; return this; }
    }
    public partial class Poly : Mb {
        public static WepPutData MeleeUnderarmPutData = new WepPutData(V3.V(0.3f, -0.22f, -0.05f), V3.Yz(20, 85), PolyBodyPart.Spine_02),
            MeleeOverShoulderPutData = new WepPutData(V3.V(-0.5f, -0.1f, -0.15f), V3.V(180, 160, 80), PolyBodyPart.Spine_02),
            HandRData = new WepPutData(V3.V(0.095f, 0.04f, 0), V3.V(0, 60, -90), PolyBodyPart.Hand_R),
            HandLData = new WepPutData(V3.V(-0.095f, -0.04f, 0), V3.V(0, 60, 90), PolyBodyPart.Hand_L),
            Hand2Data = new WepPutData(V3.V(0.095f, 0.04f, 0), V3.V(30, 60, -90), PolyBodyPart.Hand_R),
            TorchData = new WepPutData(V3.V(-0.095f, -0.04f, 0), V3.V(0, -120, -95), PolyBodyPart.Hand_L),
            TorchPutData = new WepPutData(V3.Yz(-0.2f, 0.1f), V3.Yz(160, -90), PolyBodyPart.Spine_02),
            GreatSwordPutData = new WepPutData(V3.V(-0.4f, 0.15f, 0.2f), V3.V(180, 30, -90), PolyBodyPart.Spine_03),
            SwordAndShieldPutData = new WepPutData(V3.V(-0.15f, 0.1f, 0.2f), V3.V(130, 60, -10), PolyBodyPart.Hips),
            ShieldData = new WepPutData(V3.Xy(-0.25f, 0.05f), V3.Xy(-70, 180), PolyBodyPart.Elbow_L),
            BowData = new WepPutData(V3.V(-0.1f, -0.05f, -0.01f), V3.V(-10, -120, 110), PolyBodyPart.Hand_L),
            BowPutData = new WepPutData(V3.V(0.08f, -0.18f, 0.04f), V3.V(160, -15, 95), PolyBodyPart.Spine_02),
            QuiverPutData = new WepPutData(V3.Y(-0.2f), V3.Xz(-90, 60), PolyBodyPart.Spine_02),
            ArrowData = new WepPutData(V3.Xy(0.1f, 0.05f), V3.Xy(5, 170), V3.Xy(-7.5f, 69.5f), PolyBodyPart.Hand_R);
        public static AnimData Ad = new AnimData();
        public static AnimData AdLH = new AnimData(RotLH);
        public static AnimData AdRH = new AnimData(RotRH);
        public static AnimData Ad2H = new AnimData(Rot2H);
        public static AnimData AdBow = new AnimData(BowRot);
        public static AnimData AdTorch = new AnimData(TorchRot);
        public static AnimData AdSwordIo = new AnimData(SwordIoRot);
        public static AnimData AdPistolRH = new AnimData(PistolRotRH);
        public static AnimData AdPistolImpact = new AnimData(0, 70, -130);
        public static AnimData AdPistolLH = new AnimData(PistolRotLH);
        public static AnimData AdRifleX_15Y30 = new AnimData(-15, 30, -90);
        public static AnimData AdRifleX_15Y45 = new AnimData(-15, 45, -90);
        public static AnimData AdRifleX_15Y60 = new AnimData(-15, 60, -90);
        public static AnimData AdRifleX_15Y70 = new AnimData(-15, 70, -90);
        public static AnimData AdRifleX_5Y45 = new AnimData(-5, 45, -90);
        public static AnimData AdRifleX_5Y60 = new AnimData(-5, 60, -90);
        public static AnimData AdRifleX0Y90 = new AnimData(0, 90, -90);
        public static AnimData AdRifleX5Y75 = new AnimData(5, 75, -90);
        public static AnimData AdRifleX10Y70 = new AnimData(10, 70, -90);
        public static Vector3 AnimShardShootPos = V3.Yz(0.3f, 0.4f), AnimShardExpPos = V3.Yz(0.3f, 3);
        public static Dictionary<Anim, AnimData> AnimDic = new Dictionary<Anim, AnimData>() {
            { Anim.Null,                                        Ad.C },
            { Anim.Idle,                                        Ad.C },
            { Anim.Walk,                                        Ad.C },
            { Anim.Run,                                         Ad.C.Y10 },
            { Anim.Victory,                                     Ad.C },
            { Anim.Victory_2,                                   Ad.C },
            { Anim.Victory_3,                                   Ad.C },
            { Anim.Victory_4,                                   Ad.C },
            { Anim.Victory_5,                                   Ad.C },
            // Magic
            { Anim.Magic_Attack_1H_1,                           Ad.C.Y65.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.1f, 1), 0.9f, 0.5f) },
            { Anim.Magic_Attack_1H_2,                           Ad.C.Y60.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.1f, 0.6f), 0.6f, 0.6f) },
            { Anim.Magic_Attack_1H_3,                           Ad.C.Y60.MagicAttack(PolyFX.PolygonParticles_FX_ShardIce_Shooting_01, AnimShardShootPos, 0.6f, 1.3f) },
            { Anim.Magic_Attack_2H_1,                           Ad.C.Y55.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.1f, 1), 1.2f, 0.5f) },
            { Anim.Magic_Attack_2H_2,                           Ad.C.Y60.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.1f, 1), 1.4f, 0.5f) },
            { Anim.Magic_Attack_2H_3,                           Ad.C.Y55.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.1f, 1), 1.1f, 2.1f) },
            { Anim.Magic_Attack_2H_4,                           Ad.C.Y65.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1, 1), 1, 1.6f) },
            { Anim.Magic_Attack_2H_5,                           Ad.C.Y55.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.4f, 0.5f), 2, 0.8f, PolyFX.PolygonParticles_FX_PowerDraw_01, V3.Yz(1.4f, 0.5f)) },
            { Anim.Magic_Attack_Area_2H_1,                      Ad.C.Y65.MagicAttack(PolyFX.PolygonParticles_FX_ShardIce_Shooting_01, AnimShardShootPos, 1.5f, 1.3f) },
            { Anim.Magic_Attack_Area_2H_2,                      Ad.C.Y55.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.4f, 0.5f), 1.5f, 1.1f, PolyFX.PolygonParticles_FX_PowerDraw_01, V3.Yz(1.4f, 0.5f)) },
            { Anim.Magic_Cast_Spell_1H_1,                       Ad.C.Y55.MagicAttack(PolyFX.PolygonParticles_FX_ShardIce_Explosion_01, AnimShardExpPos, 0.5f, 1.3f) },
            { Anim.Magic_Cast_Spell_2H_1,                       Ad.C.Y55.MagicAttack(PolyFX.PolygonParticles_FX_ShardIce_Shooting_01, AnimShardShootPos, 1, 1.3f) },
            { Anim.Spell_1,                                     Ad.C.Y60.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1.4f, 1.2f), 0.8f, 0.8f) },
            { Anim.Spell_2,                                     Ad.C.Y60.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.V(0.2f, 1.1f, 1.4f), 1.9f, 1) },
            { Anim.Spell_3,                                     Ad.C.Y65.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.V(0.35f, 1.3f, 1.2f), 1.4f, 0.9f) },
            { Anim.Spell_4,                                     Ad.C.Y65.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.V(0.3f, 1.3f, 0.7f), 1.4f, 0.9f) },
            { Anim.Spell_5,                                     Ad.C.Y60.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(0.9f, 1), 1.4f, 1.1f) },
            { Anim.Spell_6,                                     Ad.C.Y85.MagicAttack(PolyFX.PolygonParticles_FX_PowerBeam_01, V3.Yz(1, 1.5f), 6f, 1f, PolyFX.PolygonParticles_FX_PowerDraw_01, V3.O, PolyBodyPart.Hand_R) },
            { Anim.Magic_Impact_Small_B,                        Ad.C.Y50 },
            { Anim.Magic_Impact_Small_F,                        Ad.C.Y60 },
            { Anim.Magic_Impact_Small_L,                        Ad.C.Y60 },
            { Anim.Magic_Impact_Small_R,                        Ad.C.Y60 },
            { Anim.Magic_Impact_Large_B,                        Ad.C.Y60 },
            { Anim.Magic_Impact_Large_F,                        Ad.C.Y60 },
            { Anim.Magic_Impact_Large_L,                        Ad.C.Y60 },
            { Anim.Magic_Impact_Large_R,                        Ad.C.Y60 },
            { Anim.Magic_Impact_Large_Block,                    Ad.C },
            { Anim.Magic_Block_End,                             Ad.C },
            { Anim.Magic_Block_Idle,                            Ad.C },
            { Anim.Magic_Block_Start,                           Ad.C.Y60 },
            { Anim.Magic_Death_B,                               Ad.C.Y60 },
            { Anim.Magic_Death_F,                               Ad.C.Y60 },
            { Anim.Magic_Death_L,                               Ad.C.Y60 },
            { Anim.Magic_Death_R,                               Ad.C.Y60 },
            { Anim.Magic_Crouch_Turn_L_90,                      Ad.C.Y50 },
            { Anim.Magic_Crouch_Turn_R_90,                      Ad.C.Y50 },
            { Anim.Magic_Turn_L_90,                             Ad.C.Y60 },
            { Anim.Magic_Turn_R_90,                             Ad.C.Y60 },
            { Anim.Magic_Jump,                                  Ad.C.Y60 },
            { Anim.Magic_Land_To_Idle,                          Ad.C.Y25 },
            { Anim.Magic_Land_To_Run,                           Ad.C.Y25 },
            { Anim.Magic_Run_Jump,                              Ad.C.Y40 },
            { Anim.Magic_Crouch_Idle_To_Idle,                   Ad.C.Y50 },
            { Anim.Magic_Idle_To_Crouch_Idle,                   Ad.C.Y60 },
            { Anim.Magic_Crouch_Idle,                           Ad.C.Y60 },
            { Anim.Magic_Idle,                                  Ad.C.Y60 },
            { Anim.Magic_Idle_2,                                Ad.C.Y60 },
            { Anim.Magic_Idle_3,                                Ad.C.Y60 },
            { Anim.Magic_Idle_4,                                Ad.C.Y60 },
            { Anim.Magic_Crouch_Walk_B,                         Ad.C.Y50 },
            { Anim.Magic_Crouch_Walk_F,                         Ad.C.Y50 },
            { Anim.Magic_Crouch_Walk_L,                         Ad.C.Y50 },
            { Anim.Magic_Crouch_Walk_R,                         Ad.C.Y50 },
            { Anim.Magic_Walk_B,                                Ad.C.Y60 },
            { Anim.Magic_Walk_F,                                Ad.C.Y60 },
            { Anim.Magic_Walk_L,                                Ad.C },
            { Anim.Magic_Walk_R,                                Ad.C.Y60 },
            { Anim.Magic_Run_B,                                 Ad.C.Y40 },
            { Anim.Magic_Run_F,                                 Ad.C.Y40 },
            { Anim.Magic_Run_L,                                 Ad.C },
            { Anim.Magic_Run_R,                                 Ad.C.Y40 },
            { Anim.Magic_Sprint_F,                              Ad.C.Y40 },
            // Mutant
            { Anim.Mutant_Attack_Punch,                         Ad.C },
            { Anim.Mutant_Attack_Swipe,                         Ad.C },
            { Anim.Mutant_Attack_Jump,                          Ad.C },
            { Anim.Mutant_Attack_Jump_Ready,                    Ad.C },
            { Anim.Mutant_Death,                                Ad.C },
            { Anim.Mutant_Turn_L,                               Ad.C },
            { Anim.Mutant_Turn_R,                               Ad.C },
            { Anim.Mutant_Turn_R_45,                            Ad.C },
            { Anim.Mutant_Turn_R_90,                            Ad.C },
            { Anim.Mutant_Jump,                                 Ad.C },
            { Anim.Mutant_Jump_2,                               Ad.C },
            { Anim.Mutant_Idle,                                 Ad.C },
            { Anim.Mutant_Idle_2,                               Ad.C },
            { Anim.Mutant_Idle_Breath,                          Ad.C },
            { Anim.Mutant_Idle_Flex_Muscle,                     Ad.C },
            { Anim.Mutant_Idle_Roar,                            Ad.C },
            { Anim.Mutant_Walk_F,                               Ad.C },
            { Anim.Mutant_Run_F,                                Ad.C },
            // Longbow
            { Anim.Longbow_Punch,                               AdBow.C.Y60 },
            { Anim.Longbow_Kick,                                AdBow.C.Y60 },
            { Anim.Longbow_Aim_Overdraw,                        AdBow.C.Y90 },
            { Anim.Longbow_Aim_Recoil,                          AdBow.C.ChrRotY(91.5f) },
            { Anim.Longbow_Draw_Arrow,                          AdBow.C.ChrRotY(57) },
            { Anim.Longbow_Disarm_Bow,                          AdBow.C.Y55.DisarmEquip(BowPutData, 0.4f, 0.55f, V3.Xz(0.07f, 0.03f)) },
            { Anim.Longbow_Equip_Bow,                           AdBow.C.DisarmEquip(BowData, 0.25f, 0.55f, V3.O) },
            { Anim.Longbow_Impact_Small_B,                      AdBow.C.Y60 },
            { Anim.Longbow_Impact_Small_F,                      AdBow.C.Y60 },
            { Anim.Longbow_Impact_Small_L,                      AdBow.C.Y60 },
            { Anim.Longbow_Impact_Small_R,                      AdBow.C.Y60 },
            { Anim.Longbow_Impact_Small_F_2,                    AdBow.C.Y60 },
            { Anim.Longbow_Impact_Small_Headshot,               AdBow.C.Y60 },
            { Anim.Longbow_Impact_Large_B,                      AdBow.C.Y60 },
            { Anim.Longbow_Impact_Large_F,                      AdBow.C.Y60 },
            { Anim.Longbow_Impact_Large_L,                      AdBow.C.Y60 },
            { Anim.Longbow_Impact_Large_R,                      AdBow.C.Y60 },
            { Anim.Longbow_Block,                               AdBow.C.Y60 },
            { Anim.Longbow_Death_B,                             AdBow.C.Y60 },
            { Anim.Longbow_Death_F,                             AdBow.C.Y60 },
            { Anim.Longbow_Death_L,                             AdBow.C.Y60 },
            { Anim.Longbow_Death_R,                             AdBow.C.Y60 },
            { Anim.Longbow_Death_B_2,                           AdBow.C.Y60 },
            { Anim.Longbow_Death_F_2,                           AdBow.C.Y60 },
            { Anim.Longbow_Death_L_2,                           AdBow.C.Y60 },
            { Anim.Longbow_Death_R_2,                           AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Turn_L_90,                    AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Turn_R_90,                    AdBow.C.Y60 },
            { Anim.Longbow_Turn_L_90,                           AdBow.C.Y60 },
            { Anim.Longbow_Turn_R_90,                           AdBow.C.Y60 },
            { Anim.Longbow_Jump,                                AdBow.C.Y60 },
            { Anim.Longbow_Run_Jump,                            AdBow.C.Y30 },
            { Anim.Longbow_Fall_A_Land_To_Idle,                 AdBow.C.Y60 },
            { Anim.Longbow_Fall_A_Land_To_Idle_2,               AdBow.C.Y60 },
            { Anim.Longbow_Fall_A_Land_To_Run,                  AdBow.C.Y60 },
            { Anim.Longbow_Fall_A_Loop,                         AdBow.C.Y60 },
            { Anim.Longbow_Fall_B_Loop,                         AdBow.C.Y60 },
            { Anim.Longbow_Fall_B_Land_To_Idle,                 AdBow.C.Y30 },
            { Anim.Longbow_Dive_F,                              AdBow.C.Y60 },
            { Anim.Longbow_Run_F_Stop,                          AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Idle_To_Idle,                 AdBow.C.Y60 },
            { Anim.Longbow_Idle_To_Crouch_Idle,                 AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Idle,                         AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Idle_2_Look_Around,           AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Idle_3_Look_Over,             AdBow.C.Y60 },
            { Anim.Longbow_Idle,                                AdBow.C.Y60 },
            { Anim.Longbow_Idle_2_Look,                         AdBow.C.Y60 },
            { Anim.Longbow_Idle_3_Examine,                      AdBow.C.Y60 },
            { Anim.Longbow_Unarmed_Idle,                        AdBow.C },
            { Anim.Longbow_Aim_Idle,                            AdBow.C.Y90 },
            { Anim.Longbow_Aim_Idle_2_Look,                     AdBow.C.Y90 },
            { Anim.Longbow_Dodge_B,                             AdBow.C.Y60 },
            { Anim.Longbow_Dodge_F,                             AdBow.C.Y60 },
            { Anim.Longbow_Dodge_L,                             AdBow.C.Y60 },
            { Anim.Longbow_Dodge_R,                             AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Walk_B,                       AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Walk_F,                       AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Walk_L,                       AdBow.C.Y60 },
            { Anim.Longbow_Crouch_Walk_R,                       AdBow.C.Y60 },
            { Anim.Longbow_Walk_B,                              AdBow.C.Y60 },
            { Anim.Longbow_Walk_F,                              AdBow.C.Y60 },
            { Anim.Longbow_Walk_L,                              AdBow.C.Y60 },
            { Anim.Longbow_Walk_R,                              AdBow.C.Y60 },
            { Anim.Longbow_Aim_Walk_B,                          AdBow.C.Y80 },
            { Anim.Longbow_Aim_Walk_F,                          AdBow.C.Y80 },
            { Anim.Longbow_Aim_Walk_L,                          AdBow.C.Y80 },
            { Anim.Longbow_Aim_Walk_R,                          AdBow.C.Y80 },
            { Anim.Longbow_Run_B,                               AdBow.C.Y30 },
            { Anim.Longbow_Run_F,                               AdBow.C.Y30 },
            { Anim.Longbow_Run_L,                               AdBow.C.Y30 },
            { Anim.Longbow_Run_R,                               AdBow.C.Y30 },
            { Anim.Longbow_Sprint_F,                            AdBow.C.Y30 },
            // Pistol
            { Anim.Pistol_Aim_Whip,                             AdPistolRH.C.Y20 },
            { Anim.Pistol_Disarm,                               AdPistolRH.C.Y_10 },
            { Anim.Pistol_Grab,                                 AdPistolRH.C },
            { Anim.Pistol_Look_Around,                          AdPistolRH.C },
            { Anim.Pistol_Shoot_Behind_Cover,                   AdPistolRH.C.Y20 },
            { Anim.Pistol_Sit_Aim,                              AdPistolLH.C },
            { Anim.Pistol_Sit_Lower,                            AdPistolLH.C.Y10 },
            { Anim.Pistol_Aim_Impact_B,                         AdPistolImpact.C.Y20 },
            { Anim.Pistol_Aim_Impact_L,                         AdPistolImpact.C.Y20 },
            { Anim.Pistol_Aim_Jump,                             AdPistolRH.C.Y35 },
            { Anim.Pistol_Aim_Run_Jump,                         AdPistolRH.C.Y20 },
            { Anim.Pistol_Kneel_Aim_Idle_To_Aim_Idle,           AdPistolRH.C.Y30 },
            { Anim.Pistol_Crouch_Idle_To_Idle,                  AdPistolRH.C.Y_40 },
            { Anim.Pistol_Aim_Idle_To_Kneel_Idle,               AdPistolRH.C.Y40 },
            { Anim.Pistol_Aim_Idle_To_Idle,                     AdPistolRH.C.Y30 },
            { Anim.Pistol_Kneel_Aim_Idle,                       AdPistolRH.C.Y30 },
            { Anim.Pistol_Idle_2H,                              AdPistolRH.C.Y10 },
            { Anim.Pistol_Idle_Shake_Leg,                       AdPistolRH.C.Y10 },
            { Anim.Pistol_Aim_Idle,                             AdPistolRH.C.Y40 },
            { Anim.Pistol_Aim_Walk_B,                           AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Walk_BL_Arc,                      AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Walk_BR_Arc,                      AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Walk_F,                           AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Walk_FL_Arc,                      AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Walk_FR_Arc,                      AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Run_B,                            AdPistolRH.C.Y20 },
            { Anim.Pistol_Aim_Run_BL_Arc,                       AdPistolRH.C.Y50 },
            { Anim.Pistol_Aim_Run_BR_Arc,                       AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Run_F,                            AdPistolRH.C.Y20 },
            { Anim.Pistol_Aim_Run_FL_Arc,                       AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Run_FR_Arc,                       AdPistolRH.C.Y20 },
            { Anim.Pistol_Aim_Run_L,                            AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Run_R,                            AdPistolRH.C.Y30 },
            { Anim.Pistol_Aim_Run_F_2,                          AdPistolRH.C.Y20 },
            // GreatSword
            { Anim.GreatSword_Attack_Hilt,                      Ad2H.C },
            { Anim.GreatSword_Attack_High_Spin,                 Ad2H.C.Y25 },
            { Anim.GreatSword_Attack_Run_Low_Slide,             Ad2H.C.Y30 },
            { Anim.GreatSword_Attack_Run_Jump,                  Ad2H.C.Y25 },
            { Anim.GreatSword_Crouch_Slash,                     Ad2H.C.Y45 },
            { Anim.GreatSword_Kick_Side,                        Ad2H.C },
            { Anim.GreatSword_Kick_Spin,                        Ad2H.C },
            { Anim.GreatSword_Slash_D,                          Ad2H.C },
            { Anim.GreatSword_Slash_Low,                        Ad2H.C },
            { Anim.GreatSword_Slash_Combo,                      Ad2H.C.Y10 },
            { Anim.GreatSword_Slash_Power,                      Ad2H.C },
            { Anim.GreatSword_Cast_Spell_Sword,                 Ad2H.C },
            { Anim.GreatSword_Power_Up,                         Ad2H.C },
            { Anim.GreatSword_Draw_1,                           Ad2H.C.Y_10.DisarmEquip(Hand2Data, 0.5f, 1f, V3.X(0.06f), V3.Xz(0.03f, -0.04f), Anim.GreatSword_Draw_2) },
            { Anim.GreatSword_Draw_2,                           Ad2H.C.Y25 },
            { Anim.GreatSword_Sheath_1,                         Ad2H.C.DisarmEquip(GreatSwordPutData, 0.65f, 1.1f, V3.Xz(0.13f, -0.1f), V3.O, Anim.GreatSword_Sheath_2) },
            { Anim.GreatSword_Sheath_2,                         Ad2H.C },
            { Anim.GreatSword_Crouch_Impact_Block,              Ad2H.C.Y45 },
            { Anim.GreatSword_Crouch_Impact_Unblock,            Ad2H.C.Y45 },
            { Anim.GreatSword_Impact_Head,                      Ad2H.C },
            { Anim.GreatSword_Impact_Block,                     Ad2H.C },
            { Anim.GreatSword_Impact_Unblock,                   Ad2H.C },
            { Anim.GreatSword_Block_Idle,                       Ad2H.C },
            { Anim.GreatSword_Crouch_Block_Idle,                Ad2H.C.Y45 },
            { Anim.GreatSword_Crouch_Idle_To_Crouch_Block,      Ad2H.C.Y45 },
            { Anim.GreatSword_Idle_To_Block,                    Ad2H.C.Y45 },
            { Anim.GreatSword_Turn_L_90,                        Ad2H.C },
            { Anim.GreatSword_Turn_R_90,                        Ad2H.C },
            { Anim.GreatSword_Walk_Turn_180,                    Ad2H.C },
            { Anim.GreatSword_Run_Turn_180,                     Ad2H.C },
            { Anim.GreatSword_Jump,                             Ad2H.C },
            { Anim.GreatSword_Run_Jump,                         Ad2H.C },
            { Anim.GreatSword_Block_To_Idle,                    Ad2H.C.Y_60 },
            { Anim.GreatSword_Crouch_Block_To_Crouch_Idle,      Ad2H.C.Y35 },
            { Anim.GreatSword_Crouch_Idle_To_Idle,              Ad2H.C.Y55 },
            { Anim.GreatSword_Idle_To_Crouch_Idle,              Ad2H.C },
            { Anim.GreatSword_Crouch_Idle,                      Ad2H.C.Y45 },
            { Anim.GreatSword_Idle,                             Ad2H.C },
            { Anim.GreatSword_Idle_Admire,                      Ad2H.C },
            { Anim.GreatSword_Idle_Look_Around,                 Ad2H.C },
            { Anim.GreatSword_Idle_Look_Around_2,               Ad2H.C },
            { Anim.GreatSword_Idle_Strike_A_Pose,               Ad2H.C },
            { Anim.GreatSword_Walk_B,                           Ad2H.C.Y25 },
            { Anim.GreatSword_Walk_F,                           Ad2H.C.Y25 },
            { Anim.GreatSword_Walk_L,                           Ad2H.C.Y25 },
            { Anim.GreatSword_Walk_R,                           Ad2H.C.Y25 },
            { Anim.GreatSword_Run_B,                            Ad2H.C.Y10 },
            { Anim.GreatSword_Run_F,                            Ad2H.C.Y40 },
            { Anim.GreatSword_Run_L,                            Ad2H.C.Y25 },
            { Anim.GreatSword_Run_R,                            Ad2H.C.Y25 },
            // Zombie
            { Anim.Zombie_Attack_2H,                            Ad.C.Y15 },
            { Anim.Zombie_Attack_Swipe,                         Ad.C.Y15 },
            { Anim.Zombie_Headbutt,                             Ad.C.Y15 },
            { Anim.Zombie_Kick_Snap,                            Ad.C.Y15 },
            { Anim.Zombie_Kick_Thrust,                          Ad.C.Y15 },
            { Anim.Zombie_Punch_Jab,                            Ad.C.Y15 },
            { Anim.Zombie_Punch,                                Ad.C.Y15 },
            { Anim.Zombie_Bite_Ground,                          Ad.C },
            { Anim.Zombie_Bite_Neck,                            Ad.C.Y15 },
            { Anim.Zombie_Bite_Stand_To_Ground,                 Ad.C.Y_10 },
            { Anim.Zombie_Scream,                               Ad.C.Y15 },
            { Anim.Zombie_Agonize,                              Ad.C.Y15 },
            { Anim.Zombie_Impact_Flinch,                        Ad.C.Y15 },
            { Anim.Zombie_Impact_Stumble,                       Ad.C.Y15 },
            { Anim.Zombie_Stumble,                              Ad.C.Y15 },
            { Anim.Zombie_Death_B,                              Ad.C.Y25 },
            { Anim.Zombie_Death_F,                              Ad.C.Y25 },
            { Anim.Zombie_Turn_R_90,                            Ad.C.Y15 },
            { Anim.Zombie_Stand_Up_Back,                        Ad.C },
            { Anim.Zombie_Stand_Up_Side,                        Ad.C.Y_60 },
            { Anim.Zombie_Stand_Up_Stomach,                     Ad.C.Y30 },
            { Anim.Zombie_Alert_To_Ready,                       Ad.C.Y15 },
            { Anim.Zombie_Ready_To_Alert,                       Ad.C.Y15 },
            { Anim.Zombie_Idle,                                 Ad.C.Y15 },
            { Anim.Zombie_Idle_Alert,                           Ad.C.Y15 },
            { Anim.Zombie_Idle_Look_Around,                     Ad.C.Y15 },
            { Anim.Zombie_Idle_Scratch,                         Ad.C.Y15 },
            { Anim.Zombie_Idle_Twitch,                          Ad.C.Y15 },
            { Anim.Zombie_Idle_Upright_Twitch,                  Ad.C.Y15 },
            { Anim.Zombie_Thriller_Idle,                        Ad.C },
            { Anim.Zombie_Thriller_Part_1,                      Ad.C },
            { Anim.Zombie_Thriller_Part_2,                      Ad.C },
            { Anim.Zombie_Thriller_Part_3,                      Ad.C },
            { Anim.Zombie_Thriller_Part_4,                      Ad.C },
            { Anim.Zombie_Crawl_F,                              Ad.C },
            { Anim.Zombie_Crawl_Run_F,                          Ad.C.Y_5 },
            { Anim.Zombie_Walk_F,                               Ad.C.Y_40 },
            { Anim.Zombie_Walk_F_2,                             Ad.C },
            { Anim.Zombie_Walk_F_Creep,                         Ad.C.Y_15 },
            { Anim.Zombie_Run_F,                                Ad.C.Y15 },
            // SwordAndShield
            { Anim.SwordAndShield_Attack_High,                  AdRH.C.Y20 },
            { Anim.SwordAndShield_Attack_Hilt,                  AdRH.C.Y50 },
            { Anim.SwordAndShield_Attack_Jump,                  AdRH.C },
            { Anim.SwordAndShield_Attack_Low,                   AdRH.C.Y_5 },
            { Anim.SwordAndShield_Crouch_Slash,                 AdRH.C.Y50 },
            { Anim.SwordAndShield_Kick_Sparta,                  AdRH.C.Y50 },
            { Anim.SwordAndShield_Slash_Combo,                  AdRH.C.Y50 },
            { Anim.SwordAndShield_Slash_Cross,                  AdRH.C.Y50 },
            { Anim.SwordAndShield_Slash_D,                      AdRH.C.Y50 },
            { Anim.SwordAndShield_Slash_Power,                  AdRH.C.Y50 },
            { Anim.Sword_Slash_In,                              AdSwordIo.C.Y30 },
            { Anim.Sword_Slash_Out,                             AdSwordIo.C.Y30 },
            { Anim.Sword_Fight_One_Person_A_Winner,             AdRH.C },
            { Anim.Sword_Fight_One_Person_B_Loser,              AdRH.C },
            { Anim.SwordAndShield_Cast_Spell_Hand,              AdRH.C.Y50 },
            { Anim.SwordAndShield_Cast_Spell_Sword,             AdRH.C.Y50 },
            { Anim.SwordAndShield_Power_Up,                     AdRH.C.Y50 },
            { Anim.SwordAndShield_Draw_1,                       AdRH.C.DisarmEquip(HandRData, 0.6f, 0.9f, V3.O, V3.X(-0.06f), Anim.SwordAndShield_Sheath_2) },
            { Anim.SwordAndShield_Draw_2,                       AdRH.C },
            { Anim.SwordAndShield_Sheath_1,                     AdRH.C.Y50.DisarmEquip(SwordAndShieldPutData, 1.1f, 0.9f, V3.Xz(0.07f, 0.04f), V3.X(-0.05f), Anim.SwordAndShield_Sheath_2) },
            { Anim.SwordAndShield_Sheath_2,                     AdRH.C.Y15 },
            { Anim.Sword_Sheath,                                AdRH.C.Y45 },
            { Anim.Sword_Withdraw,                              AdRH.C.Y30 },
            { Anim.SwordAndShield_Crouch_Impact_Block,          AdRH.C.Y15 },
            { Anim.SwordAndShield_Crouch_Impact_Unblock,        AdRH.C.Y15 },
            { Anim.SwordAndShield_Impact_Head,                  AdRH.C.Y15 },
            { Anim.SwordAndShield_Impact_Block,                 AdRH.C.Y20 },
            { Anim.SwordAndShield_Impact_Unblock,               AdRH.C.Y15 },
            { Anim.SwordAndShield_Crouch_Block_Idle,            AdRH.C.Y25 },
            { Anim.SwordAndShield_Crouch_Block,                 AdRH.C.Y10 },
            { Anim.SwordAndShield_Block_Idle,                   AdRH.C.Y30 },
            { Anim.SwordAndShield_Block,                        AdRH.C.Y25 },
            { Anim.SwordAndShield_Death_B,                      AdRH.C.Y50 },
            { Anim.SwordAndShield_Death_F,                      AdRH.C.Y50 },
            { Anim.SwordAndShield_Turn_L_90,                    AdRH.C },
            { Anim.SwordAndShield_Turn_R_90,                    AdRH.C },
            { Anim.SwordAndShield_Walk_Turn_180,                AdRH.C },
            { Anim.SwordAndShield_Run_Turn_180,                 AdRH.C },
            { Anim.SwordAndShield_Jump,                         AdRH.C.Y50 },
            { Anim.SwordAndShield_Run_Jump,                     AdRH.C },
            { Anim.SwordAndShield_Block_To_Idle,                AdRH.C.Y20 },
            { Anim.SwordAndShield_Crouch_Block_To_Crouch_Idle,  AdRH.C.Y30 },
            { Anim.SwordAndShield_Crouch_Idle_To_Idle,          AdRH.C },
            { Anim.SwordAndShield_Idle_To_Crouch_Idle,          AdRH.C.Y25 },
            { Anim.SwordAndShield_Crouch_Idle,                  AdRH.C.Y10 },
            { Anim.SwordAndShield_Idle,                         AdRH.C.Y10 },
            { Anim.SwordAndShield_Idle_Play,                    AdRH.C.Y10 },
            { Anim.SwordAndShield_Idle_Stretch,                 AdRH.C.Y10 },
            { Anim.SwordAndShield_Idle_Look_Around,             AdRH.C.Y10 },
            { Anim.SwordAndShield_Walk_B,                       AdRH.C.Y10 },
            { Anim.SwordAndShield_Walk_F,                       AdRH.C.Y10 },
            { Anim.SwordAndShield_Walk_L,                       AdRH.C.Y50 },
            { Anim.SwordAndShield_Walk_R,                       AdRH.C.Y50 },
            { Anim.SwordAndShield_Run_B,                        AdRH.C.Y25 },
            { Anim.SwordAndShield_Run_F,                        AdRH.C },
            { Anim.SwordAndShield_Run_L,                        AdRH.C.Y50 },
            { Anim.SwordAndShield_Run_R,                        AdRH.C.Y60 },
            { Anim.SwordAndShield_Run_F_2,                      AdRH.C },
            // Melee
            { Anim.Melee_Attack_360_High,                       AdRH.C.Y40 },
            { Anim.Melee_Attack_360_Low,                        AdRH.C.Y40 },
            { Anim.Melee_Attack_Backhand,                       AdRH.C.Y40 },
            { Anim.Melee_Attack_Combo_1,                        AdRH.C.Y40 },
            { Anim.Melee_Attack_Combo_2,                        AdRH.C.Y40 },
            { Anim.Melee_Attack_Combo_3,                        AdRH.C.Y40 },
            { Anim.Melee_Attack_D,                              AdRH.C.Y40 },
            { Anim.Melee_Attack_Horizontal,                     AdRH.C.Y40 },
            { Anim.Melee_Attack_Run_Jump,                       AdRH.C.Y40 },
            { Anim.Melee_Kick_1,                                AdRH.C.Y40 },
            { Anim.Melee_Kick_2,                                AdRH.C.Y40 },
            { Anim.Melee_Disarm_Over_Shoulder,                  AdRH.C.Y30.DisarmEquip(MeleeOverShoulderPutData, 0.8f, 0.9f, V3.Xz(0.09f, -0.14f)) },
            { Anim.Melee_Disarm_Underarm,                       AdRH.C.Y35.DisarmEquip(MeleeUnderarmPutData, 0.65f, 0.75f, V3.X(0.1f)) },
            { Anim.Melee_Unarmed_Equip_Over_Shoulder,           AdRH.C.DisarmEquip(HandRData, 0.7f, 0.75f, V3.O) },
            { Anim.Melee_Unarmed_Equip_Underarm,                AdRH.C.DisarmEquip(HandRData, 0.65f, 0.6f, V3.O) },
            { Anim.Melee_Impact_Large_Block,                    AdRH.C.Y40 },
            { Anim.Melee_Impact_Large_F,                        AdRH.C.Y40 },
            { Anim.Melee_Impact_Large_L,                        AdRH.C.Y40 },
            { Anim.Melee_Impact_Large_R,                        AdRH.C.Y40 },
            { Anim.Melee_Block_Idle,                            AdRH.C.Y40 },
            { Anim.Melee_Crouch_Idle,                           AdRH.C.Y40 },
            { Anim.Melee_Idle,                                  AdRH.C.Y40 },
            { Anim.Melee_Idle_Look_1,                           AdRH.C.Y40 },
            { Anim.Melee_Idle_Look_2,                           AdRH.C.Y40 },
            { Anim.Melee_Unarmed_Idle,                          AdRH.C },
            { Anim.Melee_Unarmed_Idle_Look_1,                   AdRH.C },
            { Anim.Melee_Unarmed_Idle_Look_2,                   AdRH.C },
            { Anim.Melee_Taunt_Battlecry,                       AdRH.C.Y40 },
            { Anim.Melee_Taunt_Chest_Thump,                     AdRH.C.Y40 },
            { Anim.Melee_Turn_L_90,                             AdRH.C.Y40 },
            { Anim.Melee_Turn_R_90,                             AdRH.C.Y40 },
            { Anim.Melee_Unarmed_Turn_L_90,                     AdRH.C },
            { Anim.Melee_Unarmed_Turn_R_90,                     AdRH.C },
            { Anim.Melee_Jump,                                  AdRH.C.Y40 },
            { Anim.Melee_Unarmed_Jump,                          AdRH.C },
            { Anim.Melee_Unarmed_Run_Jump,                      AdRH.C },
            { Anim.Melee_Crouch_Idle_To_Idle,                   AdRH.C.Y40 },
            { Anim.Melee_Walk_B,                                AdRH.C.Y40 },
            { Anim.Melee_Walk_F,                                AdRH.C.Y40 },
            { Anim.Melee_Walk_L,                                AdRH.C.Y60 },
            { Anim.Melee_Walk_R,                                AdRH.C.Y60 },
            { Anim.Melee_Unarmed_Walk_B,                        AdRH.C },
            { Anim.Melee_Unarmed_Walk_F,                        AdRH.C },
            { Anim.Melee_Run_B,                                 AdRH.C.Y40 },
            { Anim.Melee_Run_F,                                 AdRH.C.Y40 },
            { Anim.Melee_Unarmed_Run_B,                         AdRH.C },
            { Anim.Melee_Unarmed_Run_F,                         AdRH.C },
            // Torch
            { Anim.Torch_Attack_1,                              AdTorch.C.Y30 },
            { Anim.Torch_Attack_2,                              AdTorch.C.Y30 },
            { Anim.Torch_Attack_3,                              AdTorch.C.Y30 },
            { Anim.Torch_Attack_4,                              AdTorch.C.Y30 },
            { Anim.Torch_Attack_5,                              AdTorch.C.Y30 },
            { Anim.Torch_Attack_Stab,                           AdTorch.C.Y30 },
            { Anim.Torch_Unarmed_Equip_1,                       AdTorch.C.DisarmEquip(TorchData, 0.65f, 0.9f, V3.O) },
            { Anim.Torch_Unarmed_Equip_2,                       AdTorch.C.DisarmEquip(TorchData, 0.65f, 1.6f, V3.O) },
            { Anim.Torch_Inspect_D,                             AdTorch.C.Y30 },
            { Anim.Torch_Inspect_F,                             AdTorch.C.Y30 },
            { Anim.Torch_Inspect_U,                             AdTorch.C.Y30 },
            { Anim.Torch_Light_Fire,                            AdTorch.C.Y30 },
            { Anim.Torch_Light_Torch,                           AdTorch.C.Y30 },
            { Anim.Torch_Light_Wall,                            AdTorch.C.Y30 },
            { Anim.Torch_Burn_Webs,                             AdTorch.C.Y30 },
            { Anim.Torch_Unarmed_Grab_Floor,                    AdTorch.C },
            { Anim.Torch_Unarmed_Grab_Wall,                     AdTorch.C },
            { Anim.Torch_Crouch_Turn_L_90,                      AdTorch.C.Y20 },
            { Anim.Torch_Crouch_Turn_R_90,                      AdTorch.C.Y20 },
            { Anim.Torch_Turn_L_90,                             AdTorch.C.Y20 },
            { Anim.Torch_Turn_L_180,                            AdTorch.C.Y20 },
            { Anim.Torch_Turn_R_90,                             AdTorch.C.Y20 },
            { Anim.Torch_Turn_R_180,                            AdTorch.C.Y20 },
            { Anim.Torch_Jump,                                  AdTorch.C.Y30 },
            { Anim.Torch_Run_Jump,                              AdTorch.C.Y20 },
            { Anim.Torch_Run_Jump_To_Idle,                      AdTorch.C.Y20 },
            { Anim.Torch_Walk_F_Stop,                           AdTorch.C.Y20 },
            { Anim.Torch_Walk_F_Stop_Edge,                      AdTorch.C.Y20 },
            { Anim.Torch_Run_F_Stop,                            AdTorch.C.Y20 },
            { Anim.Torch_Run_F_Stop_At_Edge,                    AdTorch.C.Y20 },
            { Anim.Torch_Crouch_Idle_To_Idle,                   AdTorch.C.Y20 },
            { Anim.Torch_Idle_To_Crouch_Idle,                   AdTorch.C.Y20 },
            { Anim.Torch_Crouch_Idle_1,                         AdTorch.C.Y30 },
            { Anim.Torch_Crouch_Idle_2,                         AdTorch.C.Y30 },
            { Anim.Torch_Idle_1,                                AdTorch.C.Y30 },
            { Anim.Torch_Idle_2,                                AdTorch.C.Y30 },
            { Anim.Torch_Idle_3,                                AdTorch.C.Y30 },
            { Anim.Torch_Idle_4,                                AdTorch.C.Y30 },
            { Anim.Torch_Crouch_Walk_B,                         AdTorch.C.Y20 },
            { Anim.Torch_Crouch_Walk_F,                         AdTorch.C.Y20 },
            { Anim.Torch_Crouch_Walk_L,                         AdTorch.C.Y20 },
            { Anim.Torch_Crouch_Walk_R,                         AdTorch.C.Y20 },
            { Anim.Torch_Walk_B,                                AdTorch.C.Y20 },
            { Anim.Torch_Walk_F,                                AdTorch.C.Y20 },
            { Anim.Torch_Walk_L,                                AdTorch.C.Y20 },
            { Anim.Torch_Walk_R,                                AdTorch.C.Y20 },
            { Anim.Torch_Run_B,                                 AdTorch.C.Y20 },
            { Anim.Torch_Run_F,                                 AdTorch.C.Y20 },
            { Anim.Torch_Run_L,                                 AdTorch.C },
            { Anim.Torch_Run_R,                                 AdTorch.C.Y20 },
            // Rifle
            { Anim.Rifle_Prone_Fire_1,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_Fire_2,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Crouch_Fire_1,                         AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Crouch_Fire_2,                         AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Crouch_Walk_Fire,                      AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Fire_1,                                AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Fire_2,                                AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Walk_Fire_1,                           AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Walk_Fire_2,                           AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Walk_Fire_3,                           AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Walk_Fire_4,                           AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Run_Fire_1,                            AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Run_Fire_2,                            AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Prone_Throw_Grenade,                   AdRifleX_15Y60.C.Y25.ThrowGrenade(0.7f, 2f) },
            { Anim.Rifle_Crouch_Throw_Grenade,                  AdRifleX_15Y60.C.Y50.ThrowGrenade(0.6f, 1.27f) },
            { Anim.Rifle_Throw_Grenade,                         AdRifleX_15Y60.C.Y60.ThrowGrenade(0.35f, 1.5f) },
            { Anim.Rifle_Walk_Throw_Grenade,                    AdRifleX_15Y60.C.Y60.ThrowGrenade(0.55f, 1.47f) },
            { Anim.Rifle_Run_Throw_Grenade,                     AdRifleX_15Y60.C.Y35.ThrowGrenade(0.35f, 1.35f) },
            { Anim.Rifle_Prone_Reload,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Crouch_Reload,                         AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Reload,                                AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Walk_Reload,                           AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Run_Reload,                            AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Prone_Impact,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Crouch_Impact,                         AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Impact,                                AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Impact_2,                              AdRifleX_15Y60.C.Y70 },
            { Anim.Rifle_Walk_Impact,                           AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Run_Impact,                            AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Prone_Death,                           AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Crouch_Death,                          AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Crouch_Headshot,                       AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Death_B,                               AdRifleX_15Y45.C },
            { Anim.Rifle_Death_F,                               AdRifleX_15Y45.C },
            { Anim.Rifle_Death_R,                               AdRifleX_15Y45.C },
            { Anim.Rifle_Headshot_B,                            AdRifleX_15Y45.C },
            { Anim.Rifle_Headshot_F,                            AdRifleX_15Y45.C },
            { Anim.Rifle_Aim_Death,                             AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Walk_Death,                            AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Walk_Death_2,                          AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Run_Death,                             AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Prone_Turn_L,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_Turn_L_45,                       AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_Turn_R,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_Turn_R_45,                       AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Kneel_Turn_L_90,                       AdRifleX_5Y45.C.Y50 },
            { Anim.Rifle_Aim_Kneel_Turn_L,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Kneel_Turn_L_90,                   AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Kneel_Turn_R_90,                       AdRifleX_5Y45.C.Y50 },
            { Anim.Rifle_Aim_Kneel_Turn_R,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Kneel_Turn_R_90,                   AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Crouch_Turn_L_45,                      AdRifleX_15Y70.C },
            { Anim.Rifle_Crouch_Turn_L_90,                      AdRifleX_15Y70.C },
            { Anim.Rifle_Crouch_Turn_L_135,                     AdRifleX_15Y70.C },
            { Anim.Rifle_Crouch_Turn_L_180,                     AdRifleX_15Y70.C },
            { Anim.Rifle_Crouch_Turn_R_45,                      AdRifleX_15Y70.C },
            { Anim.Rifle_Crouch_Turn_R_90,                      AdRifleX_15Y70.C },
            { Anim.Rifle_Crouch_Turn_R_135,                     AdRifleX_15Y70.C },
            { Anim.Rifle_Crouch_Turn_R_180,                     AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_L_45,                             AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_L_90,                             AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_L_135,                            AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_L_180,                            AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_L_90_2,                           AdRifleX_5Y45.C },
            { Anim.Rifle_Aim_Turn_L,                            AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Turn_L_45,                         AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Turn_R_45,                             AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_R_90,                             AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_R_135,                            AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_R_180,                            AdRifleX_15Y70.C },
            { Anim.Rifle_Turn_R_90_2,                           AdRifleX_5Y45.C },
            { Anim.Rifle_Aim_Turn_R,                            AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Turn_R_45,                         AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Turn_R_90,                         AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Turn_R_90_2,                       AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Walk_B_Jump,                       AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Walk_F_Jump,                       AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Walk_L_Jump,                       AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Walk_R_Jump,                       AdRifleX_15Y60.C.Y70 },
            { Anim.Rifle_Aim_Run_L_Jump,                        AdRifleX_15Y60.C.Y70 },
            { Anim.Rifle_Aim_Run_R_Jump,                        AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Jump_Away,                             AdRifleX_15Y45.C },
            { Anim.Rifle_Jump_Loop,                             AdRifleX_15Y45.C },
            { Anim.Rifle_Jump_Up,                               AdRifleX_15Y45.C },
            { Anim.Rifle_Jump_Down,                             AdRifleX_15Y45.C },
            { Anim.Rifle_Jump_Down_Object,                      AdRifleX10Y70.C },
            { Anim.Rifle_Jump_Down_Object_2,                    AdRifleX10Y70.C },
            { Anim.Rifle_Prone_Roll_L,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_Roll_R,                          AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_Roll_L_2,                        AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_Roll_R_2,                        AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Dive_Roll,                             AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Run_Dive_Roll,                         AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Prone_B_Start,                         AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Crouch_Aim_Walk_L_Start,               AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Crouch_Aim_Run_L_Start,                AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Crouch_Aim_Run_R_Start,                AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Walk_B_Start,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Walk_F_Start,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Walk_L_Start,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Walk_R_Start,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Run_B_Start,                       AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Run_F_Start,                       AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Run_L_Start,                       AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Run_R_Start,                       AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Prone_B_Stop,                          AdRifleX_15Y60.C },
            { Anim.Rifle_Prone_F_Stop,                          AdRifleX5Y75.C.Y10 },
            { Anim.Rifle_Crouch_Aim_Walk_B_Stop,                AdRifleX_15Y60.C.Y20 },
            { Anim.Rifle_Crouch_Aim_Walk_F_Stop,                AdRifleX_15Y60.C.Y20 },
            { Anim.Rifle_Crouch_Aim_Walk_L_Stop,                AdRifleX_15Y60.C.Y20 },
            { Anim.Rifle_Crouch_Aim_Run_B_Stop,                 AdRifleX_15Y60.C.Y10 },
            { Anim.Rifle_Crouch_Aim_Run_F_Stop,                 AdRifleX_15Y60.C.Y20 },
            { Anim.Rifle_Crouch_Aim_Run_L_Stop,                 AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Crouch_Aim_Run_R_Stop,                 AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Walk_B_Stop,                           AdRifleX_15Y60.C },
            { Anim.Rifle_Walk_F_Stop,                           AdRifleX_15Y60.C },
            { Anim.Rifle_Aim_Walk_B_Stop,                       AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Walk_F_Stop,                       AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Walk_L_Stop,                       AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Walk_R_Stop,                       AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Run_B_Stop,                            AdRifleX_15Y60.C.Y_10 },
            { Anim.Rifle_Run_F_Stop,                            AdRifleX_15Y60.C.Y5 },
            { Anim.Rifle_Aim_Run_F_Stop,                        AdRifleX_15Y60.C.Y20 },
            { Anim.Rifle_Aim_Run_L_Stop,                        AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Run_R_Stop,                        AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Prone_To_Kneel,                        AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_To_Crouch_Aim,                   AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Kneel_To_Prone,                        AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Kneel_To_Kneel_Aim,                    AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Kneel_To_Idle,                         AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Kneel_Aim_To_Kneel,                    AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Crouch_Idle_To_Crouch_Walk,            AdRifleX_15Y60.C },
            { Anim.Rifle_Crouch_Aim_To_Prone,                   AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Crouch_Aim_To_Idle_Aim,                AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Crouch_Walk_To_Kneel,                  AdRifleX_15Y60.C.Y20 },
            { Anim.Rifle_Crouch_Walk_To_Idle,                   AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Idle_To_Kneel,                         AdRifleX_15Y60.C },
            { Anim.Rifle_Idle_To_Crouch_Walk,                   AdRifleX_15Y60.C },
            { Anim.Rifle_Idle_To_Idle_Aim,                      AdRifleX_15Y60.C.Y20 },
            { Anim.Rifle_Idle_Aim_To_Crouch_Aim,                AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Idle_Aim_To_Idle,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Idle_Aim_To_Aim_Run,                   AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Prone_Idle,                            AdRifleX_15Y70.C.Y25 },
            { Anim.Rifle_Kneel_Idle,                            AdRifleX_15Y60.C },
            { Anim.Rifle_Kneel_Idle_Aim,                        AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Crouch_Idle,                           AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Crouch_Idle_Aim,                       AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Idle,                                  AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Idle_2,                                AdRifleX_15Y70.C },
            { Anim.Rifle_Idle_3,                                AdRifleX_15Y70.C },
            { Anim.Rifle_Idle_Look_Around,                      AdRifleX_15Y70.C },
            { Anim.Rifle_Idle_Aim,                              AdRifleX_15Y45.C.Y70 },
            { Anim.Rifle_Idle_Aim_2,                            AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Crawl_B,                               AdRifleX0Y90.C.Y_20 },
            { Anim.Rifle_Crawl_F,                               AdRifleX0Y90.C.Y_20 },
            { Anim.Rifle_Crawl_Prone_B,                         AdRifleX_15Y60.C.Y_20 },
            { Anim.Rifle_Prone_B,                               AdRifleX5Y75.C.Y_20 },
            { Anim.Rifle_Prone_F,                               AdRifleX5Y75.C.Y_10 },
            { Anim.Rifle_Prone_L,                               AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Prone_R,                               AdRifleX_15Y60.C.Y25 },
            { Anim.Rifle_Crouch_Walk_B,                         AdRifleX_15Y70.C.Y25 },
            { Anim.Rifle_Crouch_Walk_F,                         AdRifleX_15Y70.C.Y25 },
            { Anim.Rifle_Crouch_Walk_R,                         AdRifleX_15Y70.C.Y25 },
            { Anim.Rifle_Crouch_Aim_Walk_B,                     AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Crouch_Aim_Walk_BL,                    AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Crouch_Aim_Walk_BR,                    AdRifleX_15Y45.C.Y25 },
            { Anim.Rifle_Crouch_Aim_Walk_F,                     AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Crouch_Aim_Walk_FL,                    AdRifleX_15Y45.C.Y25 },
            { Anim.Rifle_Crouch_Aim_Walk_FR,                    AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Crouch_Aim_Walk_L,                     AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Crouch_Aim_Walk_R,                     AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Crouch_Aim_Walk_B_2,                   AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Crouch_Aim_Walk_L_2,                   AdRifleX_15Y60.C.Y75 },
            { Anim.Rifle_Crouch_Aim_Walk_R_2,                   AdRifleX_15Y60.C.Y75 },
            { Anim.Rifle_Crouch_Aim_Run_B,                      AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Crouch_Aim_Run_F,                      AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Crouch_Aim_Run_L,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Crouch_Aim_Run_R,                      AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Step_L,                                AdRifleX_15Y70.C },
            { Anim.Rifle_Step_R,                                AdRifleX_15Y70.C },
            { Anim.Rifle_Aim_Step_B,                            AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Step_F,                            AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Step_L,                            AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Aim_Step_R,                            AdRifleX_15Y60.C.Y40 },
            { Anim.Rifle_Walk_B,                                AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Walk_BL,                               AdRifleX_15Y45.C.Y70 },
            { Anim.Rifle_Walk_BR,                               AdRifleX_15Y45.C.Y35 },
            { Anim.Rifle_Walk_F,                                AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Walk_FL,                               AdRifleX_15Y30.C.Y35 },
            { Anim.Rifle_Walk_FR,                               AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Walk_L,                                AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Walk_R,                                AdRifleX_15Y45.C.Y70 },
            { Anim.Rifle_Walk_B_2,                              AdRifleX_5Y60.C },
            { Anim.Rifle_Walk_F_2,                              AdRifleX_5Y60.C },
            { Anim.Rifle_Aim_Walk_B,                            AdRifleX_15Y60.C.Y50 },
            { Anim.Rifle_Aim_Walk_F,                            AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Walk_L,                            AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Walk_R,                            AdRifleX_15Y60.C.Y70 },
            { Anim.Rifle_Run_B,                                 AdRifleX_15Y45.C.Y50 },
            { Anim.Rifle_Run_BL,                                AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Run_BR,                                AdRifleX_15Y45.C.Y20 },
            { Anim.Rifle_Run_F,                                 AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Run_FL,                                AdRifleX_15Y45.C.Y25 },
            { Anim.Rifle_Run_FR,                                AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Run_L,                                 AdRifleX_15Y45.C.Y60 },
            { Anim.Rifle_Run_R,                                 AdRifleX_15Y45.C.Y75 },
            { Anim.Rifle_Run_B_2,                               AdRifleX_5Y60.C },
            { Anim.Rifle_Run_F_2,                               AdRifleX_5Y60.C },
            { Anim.Rifle_Aim_Run_B,                             AdRifleX_15Y60.C.Y60 },
            { Anim.Rifle_Aim_Run_F,                             AdRifleX_15Y60.C.Y35 },
            { Anim.Rifle_Sprint_B,                              AdRifleX_5Y45.C },
            { Anim.Rifle_Sprint_BR,                             AdRifleX_5Y45.C },
            { Anim.Rifle_Sprint_BL,                             AdRifleX_5Y45.C },
            { Anim.Rifle_Sprint_F,                              AdRifleX_5Y45.C },
            { Anim.Rifle_Sprint_FL,                             AdRifleX_5Y45.C },
            { Anim.Rifle_Sprint_FR,                             AdRifleX_5Y45.C },
            { Anim.Rifle_Sprint_L,                              AdRifleX_5Y45.C.Y40 },
            { Anim.Rifle_Sprint_R,                              AdRifleX_5Y45.C.Y40 },
            // Frank RPG Mage
            { Anim.Frank_RPG_Mage_4Way_Spell_Walk_B,            Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_4Way_Spell_Walk_F,            Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_4Way_Spell_Walk_L,            Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_4Way_Spell_Walk_R,            Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_B,                   Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_BL,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_BR,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_F,                   Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_FL,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_FR,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_L,                   Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Run_R,                   Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_B,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_BL,                 Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_BR,                 Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_F,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_FL,                 Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_FR,                 Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_L,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_8Way_Walk_R,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Attack01,                     Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Attack02,                     Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Attack03,                     Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Attack04,                     Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Attack05,                     Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Attack06,                     Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Block,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Combo01_1,                    Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Combo01_2,                    Ad.C.ChrRotY(104).FrankMage(V3.Xz(0.08f, 0.02f)) },
            { Anim.Frank_RPG_Mage_Combo01_3,                    Ad.C.ChrRotY(-102).FrankMage(V3.Xz(0.07f, -0.12f)) },
            { Anim.Frank_RPG_Mage_Combo01_All,                  Ad.C.Y40.FrankMage(V3.Xz(0.45f, -0.28f)) },
            { Anim.Frank_RPG_Mage_Combo02_1,                    Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Combo02_2,                    Ad.C.ChrRotY(69).FrankMage(V3.Xz(0.04f, 0.01f)) },
            { Anim.Frank_RPG_Mage_Combo02_3,                    Ad.C.ChrRotY(-22).FrankMage(V3.Xz(-0.66f, 0.41f)) },
            { Anim.Frank_RPG_Mage_Combo02_All,                  Ad.C.Y40.FrankMage(V3.Xz(-0.35f, 0.22f)) },
            { Anim.Frank_RPG_Mage_Combo03_1,                    Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Combo03_2,                    Ad.C.ChrRotY(35).FrankMage(V3.Xz(0.02f, 0.13f)) },
            { Anim.Frank_RPG_Mage_Combo03_3,                    Ad.C.ChrRotY(-1).FrankMage(V3.Xz(-0.04f, 0.17f)) },
            { Anim.Frank_RPG_Mage_Combo03_All,                  Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Combo04_1,                    Ad.C.Y40.FrankMage(V3.Xz(0.17f, -0.1f)) },
            { Anim.Frank_RPG_Mage_Combo04_2,                    Ad.C.ChrRotY(-81).FrankMage(V3.Xz(0.02f, -0.03f)) },
            { Anim.Frank_RPG_Mage_Combo04_3,                    Ad.C.ChrRotY(87).FrankMage(V3.Xz(0.2f, 0.01f)) },
            { Anim.Frank_RPG_Mage_Combo04_4,                    Ad.C.ChrRotY(-114).FrankMage(V3.X(-0.03f)) },
            { Anim.Frank_RPG_Mage_Combo04_All,                  Ad.C.Y40.FrankMage(V3.Xz(0.7f, -0.43f)) },
            { Anim.Frank_RPG_Mage_Die,                          Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Die02,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Equip,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Evade_B,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Evade_F,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Evade_L,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Evade_R,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Getup02,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Getup01,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Guard,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Hit01,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Hit02,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Hit03,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Hit_Knockback,                Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Hit_Knockdown,                Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Hit_Knockdown_Loop,           Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Idle,                         Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Jump_01,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Jump_02,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Jump_ZeroHeight,              Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Run01,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Run02,                        Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Skill01,                      Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Skill02,                      Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Skill03,                      Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Skill04,                      Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Skill05,                      Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Skill06,                      Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Skill07,                      Ad.C.Y40.FrankMage(V3.O) },
            { Anim.Frank_RPG_Mage_Step_B,                       Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Step_F,                       Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Step_L,                       Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Step_R,                       Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Unequip,                      Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Unequip_Idle,                 Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Unequip_Run,                  Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Unequip_Run_Faster,           Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Walk,                         Ad.C.Y40 },
            { Anim.Frank_RPG_Mage_Walk_Faster,                  Ad.C.Y40 },
        };
    }
}